package com.hyperling.apps.games;

import android.graphics.Bitmap;

/**
 * Created by ling on 12/26/16.
 */

public class ExtraLife extends EnvironmentObject {

    private int numLives;

    public ExtraLife(Bitmap b, int w, int h, int x, int y, int numLives){
        super(b, w, h, x, y);
        this.numLives = numLives;

        if (this.y >= GameView.HEIGHT - this.height){
            this.y = GameView.HEIGHT - this.height;
        }
    }

    public int getNumLives() {
        return numLives;
    }
}
